[ooo-build-commit] .: 2 commits - bin/g
Thorsten Behrens
thorsten at kemper.freedesktop.org
Thu Aug 26 12:37:02 PDT 2010
bin/g | 16 ++++++++++++----
1 file changed, 12 insertions(+), 4 deletions(-)
New commits:
commit 0350b7e6caee62b2d4bff0ce1f7483ed3ec4e45d
Author: Thorsten Behrens <tbehrens at novell.com>
Date: Thu Aug 26 21:34:29 2010 +0200
bin/g diff now forces w/o pager, too
Since diff also iterates over sub-repos, pager support needs to be
switched off - otherwise you'll only see diff of _one_ repo
diff --git a/bin/g b/bin/g
index a98c861..3d9fa15 100755
--- a/bin/g
+++ b/bin/g
@@ -26,6 +26,9 @@ case "$COMMAND" in
EXTRA='-1'
PAGER='--no-pager'
;;
+ diff)
+ PAGER='--no-pager'
+ ;;
esac
# absolutize the parameters first
commit 9bc6209e694187abf0da578f62ae40e5d41c8714
Author: Thorsten Behrens <tbehrens at novell.com>
Date: Thu Aug 26 21:22:47 2010 +0200
Added plain branch checkout support to g
* bin/g: made 'bin/g checkout <branch>' work
diff --git a/bin/g b/bin/g
index 2c648fd..a98c861 100755
--- a/bin/g
+++ b/bin/g
@@ -73,10 +73,15 @@ while shift ; do
fi
FILES[$FILESNUM]=`readlink -n -e "$PARAM"`
if [ -z "${FILES[$FILESNUM]}" ] ; then
- echo "'$PARAM' not found in `pwd`."
- exit 1
+ if [ "$COMMAND" = "checkout" ] ; then
+ EXTRA="$EXTRA $PARAM"
+ else
+ echo "'$PARAM' not found in `pwd`."
+ exit 1
+ fi
+ else
+ FILESNUM=$(($FILESNUM+1))
fi
- FILESNUM=$(($FILESNUM+1))
fi
done
@@ -140,7 +145,7 @@ for DIR in * ; do
# check for changes
HEADREF=`git show-ref --head HEAD`
- git $PAGER "$COMMAND" $EXTRA "${FILES[@]}"
+ git $PAGER $COMMAND $EXTRA ${FILES[@]}
RETURN=$?
# update stamp if the repo changed
More information about the ooo-build-commit
mailing list